Bug 1271534 - drools-compiler fails to report error for invalid rule with field binding
drools-compiler fails to report error for invalid rule with field binding
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: BRE (Show other bugs)
6.1.0
Unspecified Unspecified
high Severity high
: ER5
: 6.2.0
Assigned To: Mario Fusco
Tibor Zimanyi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-14 04:42 EDT by Hisao Furuichi
Modified: 2015-11-11 11:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pojo which contains Message class (2.09 KB, application/zip)
2015-10-14 04:42 EDT, Hisao Furuichi
no flags Details
sample drl as reproducer (467 bytes, text/plain)
2015-10-14 04:44 EDT, Hisao Furuichi
no flags Details

  None (edit)
Description Hisao Furuichi 2015-10-14 04:42:50 EDT
Created attachment 1082744 [details]
pojo which contains Message class

Description of problem:
Validation on business-central does not alert drl error which BRMS 5.3.1 and JBDS 8.1 does.

Version-Release number of selected component (if applicable):
6.1.3

Steps to Reproduce:
Please proceed all of instructions on business-central 
1: upload the attached reproducer-0.0.1-SNAPSHOT.jar into artifact repository
2: create a new project
3: set project's dependency to reproducer-0.0.1-SNAPSHOT.jar
3: create a new package "com.sample"
4: create a new drl which looks like attached reproducer.drl
5: click validate

Actual results:
Although attribute of Message, "bra", is not defined in the Class, validation does not alert any error. 

Expected results:
Validate fails.

Additional info:
With JBoss developer Studio 8.1, following error message will be displayed on the console:
===
BuildError: Unable to create Field Extractor for 'bra'Field/method 'bra' not found for class 'com.sample$Message'
Sample.drl	/reproducerProject/src/main/resources/rules  line 7  Drools Error
===
Also with guvnor comes with BRMS 5.3.1, validation works as expected too.
Comment 1 Hisao Furuichi 2015-10-14 04:44 EDT
Created attachment 1082746 [details]
sample drl as reproducer
Comment 4 Edson Tirelli 2015-10-22 13:59:37 EDT
For completeness, here is the cherry-pick on 6.3.x branch:

https://github.com/droolsjbpm/drools/commit/59a304aee6ec3ca835457a1a654bebfcf2f7b929
Comment 5 Tibor Zimanyi 2015-11-11 11:26:58 EST
Verified in 6.2.0.ER5. The verification fails. Also the new test created by mentioned commit passes.
Comment 6 Tibor Zimanyi 2015-11-11 11:30:47 EST
Sorry for confusion. I meant the validation fails. From the "steps to reproduce."

Note You need to log in before you can comment on or make changes to this bug.